Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class FTP.FTPDirectoryScanner

    java.lang.Object
      org.apache.tools.ant.DirectoryScanner
          org.apache.tools.ant.taskdefs.optional.net.FTP.FTPDirectoryScanner

All Implemented Interfaces:
  FileScanner, ResourceFactory, SelectorScanner

Enclosing class:
  FTP

protected class FTP.FTPDirectoryScanner
extends DirectoryScanner

Field Summary
`protected com.oroinc.net.ftp.FTPClient` | `ftp`

Fields inherited from class org.apache.tools.ant.DirectoryScanner
`basedir, DEFAULTEXCLUDES, dirsDeselected, dirsExcluded, dirsIncluded, dirsNotIncluded, everythingIncluded, excludes, filesDeselected, filesExcluded, filesIncluded, filesNotIncluded, haveSlowResults, includes, isCaseSensitive, selectors`

Constructor Summary
`FTP.FTPDirectoryScanner(com.oroinc.net.ftp.FTPClient ftp)`

Method Summary
`void` | `scan()` Scans the base directory for files which match at least one include pattern and don't match any exclude patterns.
`protected void` | `scandir(java.lang.String dir, java.lang.String vpath, boolean fast)`

Methods inherited from class org.apache.tools.ant.DirectoryScanner
`addDefaultExcludes, couldHoldIncluded, getBasedir, getDeselectedDirectories, getDeselectedFiles, getExcludedDirectories, getExcludedFiles, getIncludedDirectories, getIncludedFiles, getNotIncludedDirectories, getNotIncludedFiles, getResource, isEverythingIncluded, isExcluded, isIncluded, isSelected, match, match, matchPath, matchPath, matchPatternStart, matchPatternStart, scandir, setBasedir, setBasedir, setCaseSensitive, setExcludes, setFollowSymlinks, setIncludes, setSelectors, slowScan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ftp

    protected com.oroinc.net.ftp.FTPClient ftp

Constructor Detail

### FTP.FTPDirectoryScanner

    public FTP.FTPDirectoryScanner(com.oroinc.net.ftp.FTPClient ftp)

Method Detail

### scan

    public void scan()

  Description copied from class: `DirectoryScanner`
  Scans the base directory for files which match at least one include pattern and don't match any exclude patterns. If there are selectors then the files must pass muster there, as well.

  Specified by:
    `scan` in interface `FileScanner`
  Overrides:
    `scan` in class `DirectoryScanner`

### scandir

    protected void scandir(java.lang.String dir,
                           java.lang.String vpath,
                           boolean fast)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.